// #Теоретический вопрос

// 1. Опишите своими словами разницу между функциями `setTimeout()` и `setInterval()`.
// 2. Что произойдет, если в функцию `setTimeout()` передать нулевую задержку? Сработает ли она мгновенно, и почему?
// 3. Почему важно не забывать вызывать функцию `clearInterval()`, когда ранее созданный цикл запуска вам уже не нужен?


// 1 `setTimeout()`запускаеться в указаное время и завершает свое дейсвие  а `setInterval()` запускаеться многократно 
// через определенный интервал и чтобы его остановить нужно использовать `clearInterval()`
// 2 `setTimeout()`сработает мгновенно 
// 3 чтобы прекратить роботу фукцый !


// ## Задание

// Реализовать программу, показывающую циклично разные картинки. Задача должна быть реализована на языке javascript, без использования фреймворков и сторонник библиотек (типа Jquery).

// #### Технические требования:
// - В папке `banners` лежит HTML код и папка с картинками.
// - При запуске программы на экране должна отображаться первая картинка.
// - Через 3 секунды вместо нее должна быть показана вторая картинка.
// - Еще через 3 секунды - третья.
// - Еще через 3 секунды - четвертая.
// - После того, как покажутся все картинки - этот цикл должен начаться заново.
// - При запуске программы где-то на экране должна появиться кнопка с надписью `Прекратить`.
// - По нажатию на кнопку `Прекратить` цикл завершается, на экране остается показанной та картинка, которая была там при нажатии кнопки.
// - Рядом с кнопкой `Прекратить` должна быть кнопка `Возобновить показ`, при нажатии которой цикл продолжается с той картинки, которая в данный момент показана на экране.
// - Разметку можно менять, добавлять нужные классы, id, атрибуты, теги.

// #### Необязательное задание продвинутой сложности:
// - При запуске программы на экране должен быть таймер с секундами и миллисекундами, показывающий сколько осталось до показа следующей картинки.
// - Делать скрытие картинки и показывание новой картинки постепенным (анимация fadeOut / fadeIn) в течение 0.5 секунды.

// #### Литература:
// - [setTimeout и setInterval](https://learn.javascript.ru/settimeout-setinterval)


const img = document.querySelectorAll('.images-wrapper .image-to-show');
let imgIndex = 0;
slideInterval = setInterval(nextImg, 3000);
function nextImg() {
    img[imgIndex].classList.remove('active');
    imgIndex = (imgIndex + 1) % img.length;
    img[imgIndex].classList.add('active');
}

const buttons = document.querySelectorAll('.btn');
function showBtn() {
    buttons.forEach(item => item.classList.add('visible'));
}
setTimeout(showBtn, 3000);

let play = true;
const stopBtn = document.querySelector('.stop');
stopBtn.addEventListener('click', function () {
    play = false;
    clearInterval(slideInterval);
})

const continueBtn = document.querySelector('.continue');
continueBtn.addEventListener('click', function () {
    play = true;
    slideInterval = setInterval(nextImg, 3000);
})
